#
# spec file for package phprojekt (Version 4.0.3)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool mm mod_ssl perl rpm

Name:         phprojekt
License:      GPL
Group:        Productivity/Office/Organizers
Requires:     http_daemon php
Autoreqprov:  on
Version:      4.0.3
Release:      148
Source0:      phprojekt.tar.bz2
Patch:        phprojekt-setup.patch
URL:          http://www.phprojekt.com
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      An open source groupware suite
BuildArchitectures: noarch
%define apache_serverroot %(apxs -q datadir 2>/dev/null || apxs -q PREFIX)

%description
PHProjekt is a modular application for the coordination of group
activities and for sharing information and documents via intranet and
internet. Components of PHProjekt: Group calendar, project management,
time card system, file management, contact manager, mail client and 9
other modules. PHProjekt is available for more than 20 languages and 5
databases.



Authors:
--------
    Albrecht Guenther <ag@phprojekt.com>

%prep
%setup -n %{name}-4.0
%patch

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}
chmod 755 `find . -type d` 
chmod 644 `find . -type f` 
cp -pr . $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}
find $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name} -type d -print | \
     sed -e "s|^$RPM_BUILD_ROOT|\%dir |" >filelist
find $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name} -type f -print | \
     sed -e "s|^$RPM_BUILD_ROOT||" >>filelist
touch $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/%{name}/config.inc.php

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files -f filelist
%defattr(-, root, root)
%doc ChangeLog install readme
%config(noreplace) %{apache_serverroot}/htdocs/%{name}/config.inc.php

%changelog -n phprojekt
* Tue Dec 14 2004 - nadvornik@suse.cz
- fixed setup.php vulnerability [#49186]
* Tue Jul 29 2003 - nadvornik@suse.cz
- updated to 4.0.3
- config.inc.php installed without write permission [#25541]
* Tue Aug 06 2002 - nadvornik@suse.cz
- new package, version 3.2a
